hub:
  db:
    upgrade: true
    type: mysql
    url: mysql+pymysql://9n-jupyter:fbfa82ee1777f5d3000062ac@jupyter-db-mysql/9n_jupyter
  image:
    #name: mirror.jd.com/jupyterhub/k8s-hub
    name: mirror.jd.com/9n-jupyter/k8s-hub-jd-authenticator
    tag: v1.3.3
  extraConfig: |
    c.JupyterHub.tornado_settings = {'headers': {'Content-Security-Policy': "frame-ancestors http://*.jd.com:*"}, 'cost_ratio': 1332, 'bill_domain': 'http://apis-internal.jd.com/v1/de', 'bill_token': '88d84d442cfb11e8949cfa163ed5cc75'}
  cookieSecret: 227d03456b4ecd2fc02acb6dc8cc9c9c1ed5bbd45b86396b02c3c6c3e5386e9d

proxy:
  service:
    type: ClusterIP
  secretToken: 227d03456b4ecd2fc02acb6dc8cc9c9c1ed5bbd45b86396b02c3c6c3e5386e9d
  chp:
    image:
      name: mirror.jd.com/jupyterhub/configurable-http-proxy
  nginx:
    image:
      name: mirror.jd.com/kubernetes-ingress-controller/nginx-ingress-controller
  lego:
    image:
      name: mirror.jd.com/jetstack/kube-lego

singleuser:
  storage:
    dynamic:
      storageClass: standard-sata
  cpu:
    limit: 4
    guarantee: 2
  memory:
    limit: 64G
    guarantee: 16G
  networkTools:
    image:
      name: mirror.jd.com/jupyterhub/k8s-network-tools
  image:
    #name: mirror.jd.com/9n-jupyter/single-user-pyspark
    #tag: v1.6.5-disable-shell0.3
    name: mirror.jd.com/ovs/jupyter-single-user-9n
    tag: v1.10
  defaultUrl: "/lab"
  lifecycleHooks:
    preStop:
      exec:
        command: ["python", "/usr/local/lib/delete.py"]

prePuller:
  hook:
    image:
      name: mirror.jd.com/jupyterhub/k8s-pre-puller
  pause:
    image:
      name: mirror.jd.com/google_containers/pause

auth:
  type: jd
  jd:
#    auth_domain: 'http://g.jsf.jd.local'
    appDomain: 'http://pino.jd.local'
#    sign_key: '043ad9b712b0d4443343213c3654b9e7'

cull:
  timeout: 1800
